Item Configuration in Angular Toolbar

14 Aug 202614 minutes to read

The Toolbar renders by defining an array of items. Items can be constructed with the following built-in item types or custom templates.

Button

Button is the default item type, and renders using the text property.
Properties of the button item type:

Property Description
text The text to be displayed for the button.
id The ID of the button to be rendered. If the ID is not provided, an auto ID is generated.
prefixIcon Defines the class used to specify an icon for the button. The icon is positioned before the text if text is available, or the icon alone renders as a button.
suffixIcon Defines the class used to specify an icon for the button. The icon is positioned after the text if text is available. If both prefixIcon and suffixIcon are specified, only prefixIcon is considered.
width Sets the width of the button.
align Specifies the location for aligning Toolbar items.

Separator

The Separator type adds a vertical separation between the Toolbar’s single or multiple commands.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { ToolbarModule } from '@syncfusion/ej2-angular-navigations'
import { TooltipModule } from '@syncfusion/ej2-angular-popups'



import { Component, ViewChild } from '@angular/core';
import { ToolbarComponent } from '@syncfusion/ej2-angular-navigations';

@Component({
imports: [
         ToolbarModule, TooltipModule
    ],


standalone: true,
    selector: 'app-container',
    template: `
        <ejs-toolbar>
          <e-items>
             <e-item text='Cut'></e-item>
             <e-item text='Copy'></e-item>
             <e-item type='Separator'></e-item>
             <e-item text='Paste'></e-item>
             <e-item type='Separator'></e-item>
             <e-item text='Undo'></e-item>
             <e-item text='Redo'></e-item>
          </e-items>
        </ejs-toolbar>
        `
})

export class AppComponent {

}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

If Separator is added as first or last item, it is not visible.

Input

The Input type is only applicable for adding template elements when the template property is defined as an object.
Input type creates an input element internally that acts as the container for Syncfusion input based components.

Note: Set toolbar item type property value as Input only for Input components.

NumericTextBox

  • The NumericTextBox component can be included by importing the NumericTextBox module from ej2-inputs.

  • Initialize the NumericTextBox in template property, where the Toolbar item type is set as Input.

  • Related NumericTextBox component properties can also be configured as shown below.

new NumericTextBox( { format: 'c2' })
  • The DropDownList component can be included by importing the DropDownList module from ej2-dropdowns.

  • Initialize the DropDownList in template property, where the Toolbar item type is set as Input.

  • Related DropDownList component properties can also be configured as shown below.

new DropDownList({ width: 100 })

CheckBox

  • The CheckBox component can be included by importing the CheckBox module from ej2-buttons.

  • Initialize the CheckBox in template property, where the Toolbar item type is set as Input.

  • Related CheckBox component properties can also be configured as shown below.

new CheckBox({ label: 'Checkbox', checked: true })

RadioButton

  • The RadioButton component can be included by importing the RadioButton module from ej2-buttons.

  • Initialize the RadioButton in template property, where the Toolbar item type is set as Input.

  • Related RadioButton component properties can also be configured as shown below.

new RadioButton({ label: 'Radio', name: 'default', checked: true })

The above steps apply to all Syncfusion input based components.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { ToolbarModule } from '@syncfusion/ej2-angular-navigations'
import { TooltipModule } from '@syncfusion/ej2-angular-popups'
import { NumericTextBoxModule } from '@syncfusion/ej2-angular-inputs'
import { RadioButtonModule } from '@syncfusion/ej2-angular-buttons'
import { CheckBoxModule } from '@syncfusion/ej2-angular-buttons'
import { DropDownListModule } from '@syncfusion/ej2-angular-dropdowns'



import { Component, ViewChild } from '@angular/core';
import { ToolbarComponent } from '@syncfusion/ej2-angular-navigations';
import { NumericTextBox} from '@syncfusion/ej2-inputs';
import { DropDownList} from '@syncfusion/ej2-dropdowns';
import { CheckBox, RadioButton  } from '@syncfusion/ej2-buttons';

@Component({
imports: [
         ToolbarModule, TooltipModule, NumericTextBoxModule, RadioButtonModule, CheckBoxModule, DropDownListModule
    ],


standalone: true,
    selector: 'app-container',
    template: `
        <ejs-toolbar>
          <e-items>
             <e-item text='Cut'></e-item>
             <e-item text='Copy'></e-item>
             <e-item type='Separator'></e-item>
             <e-item text='Undo'></e-item>
             <e-item text='Redo'></e-item>
             <e-item type='Input'>
              <ng-template #template>
                <ejs-numerictextbox  format="c2" value="1" width="150"></ejs-numerictextbox>
              </ng-template>
             </e-item>
             <e-item type='Input'>
              <ng-template #template>
                <ejs-dropdownlist [dataSource]='this.data' width="120" index="2"></ejs-dropdownlist>
              </ng-template>
             </e-item>
             <e-item type='Input'>
              <ng-template #template>
                <ejs-checkbox label="CheckBox: true" [checked]="true"></ejs-checkbox>
              </ng-template>
             </e-item>
             <e-item type='Input'>
              <ng-template #template>
                <ejs-radiobutton label='Radio' name='default' checked="true"></ejs-radiobutton>
              </ng-template>
             </e-item>
          </e-items>
        </ejs-toolbar>
        `
})

export class AppComponent {
    @ViewChild('element') element?: any;
    public data: string[] = ['Badminton', 'Basketball', 'Cricket', 'Golf', 'Hockey', 'Rugby'];
   
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Enabling tab key navigation in Toolbar

The tabIndex property of a Toolbar item enables tab key navigation for the item. By default, users can switch between items using the arrow keys, but the tabIndex property allows switching between items using the Tab and Shift+Tab keys as well.

To use the tabIndex property, set it for each Toolbar item that requires tab key navigation. The tabIndex property should be set to a positive integer value. A value of 0 or a negative value will disable tab key navigation for the item.

For example, to enable tab key navigation for two Toolbar items:

import { Component, ViewChild } from '@angular/core';
import { ToolbarComponent } from '@syncfusion/ej2-angular-navigations';

@Component({
    selector: 'app-container',
    template: `
        <ejs-toolbar>
          <e-items>
             <e-item text='item1' tabIndex=1></e-item>
             <e-item text='item2' tabIndex=2></e-item>
          </e-items>
        </ejs-toolbar>
        `
})

export class AppComponent {

}

With the above code, users can switch between the two Toolbar items using the Tab and Shift+Tab keys, in addition to using the arrow keys. The items will be navigated in the order specified by the tabIndex values.

If you set the tabIndex value to 0 for all Toolbar items, tab key navigation will be based on the element order rather than the tabIndex values:

import { Component, ViewChild } from '@angular/core';
import { ToolbarComponent } from '@syncfusion/ej2-angular-navigations';

@Component({
    selector: 'app-container',
    template: `
        <ejs-toolbar>
          <e-items>
             <e-item text='item1' tabIndex=0></e-item>
             <e-item text='item2' tabIndex=0></e-item>
          </e-items>
        </ejs-toolbar>
        `
})

export class AppComponent {

}

In this case, users can switch between the two Toolbar items using the Tab and Shift+Tab keys, and the items will be navigated in the order in which they appear in the DOM.

Example:

Here is an example of how to use the tabIndex property to enable tab key navigation for a Toolbar component:

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { ToolbarModule } from '@syncfusion/ej2-angular-navigations'
import { TooltipModule } from '@syncfusion/ej2-angular-popups'



import { Component, ViewChild } from '@angular/core';
import { ToolbarComponent } from '@syncfusion/ej2-angular-navigations';

@Component({
imports: [
         ToolbarModule, TooltipModule
    ],


standalone: true,
    selector: 'app-container',
    template: `
        <ejs-toolbar>
          <e-items>
             <e-item text='Cut' tabIndex=0></e-item>
             <e-item text='Copy' tabIndex=0></e-item>
             <e-item type='Separator'></e-item>
             <e-item text='Paste' tabIndex=0></e-item>
             <e-item type='Separator'></e-item>
             <e-item text='Undo' tabIndex=0></e-item>
             <e-item text='Redo' tabIndex=0></e-item>
          </e-items>
        </ejs-toolbar>
        `
})

export class AppComponent {

}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

With the above code, users can switch between the Toolbar items using the Tab and Shift+Tab keys, and the items will be navigated based on the element order.

See Also

The Toolbar can be rendered by defining an array of items
. Items can be constructed with the following built-in command types or item template.
Button
is the default command type
, and it can be rendered by using the text
property.
Properties of the button command type:
Property | Description |
---|---|
text |
The text to be displayed for button. |
id |
The ID of the button to be rendered. If the ID is not given, auto ID is generated. |
prefixIcon |
Defines the class used to specify an icon for the button. The icon is positioned before the text if text is available or the icon alone button is rendered. |
suffixIcon |
Defines the class used to specify an icon for the button. The icon is positioned after the text if text is available. If both prefixIcon and suffixIcon are specified, only prefixIcon is considered. |
width |
Used to set the width of the button. |
align |
Specifies the location for aligning Toolbar items. |
The Separator
type adds a vertical separation between the Toolbar single/multiple commands.
import { ItemDirective, ItemsDirective, ToolbarComponent } from '@syncfusion/ej2-react-navigations';
import * as React from "react";
import * as ReactDOM from "react-dom";
export default class ReactApp extends React.Component {
render() {
return (<ToolbarComponent>
<ItemsDirective>
<ItemDirective text="Cut"/>
<ItemDirective text="Copy"/>
<ItemDirective type="Separator"/>
<ItemDirective text="Paste"/>
<ItemDirective type="Separator"/>
<ItemDirective text="Undo"/>
<ItemDirective text="Redo"/>
</ItemsDirective>
</ToolbarComponent>);
}
}
ReactDOM.render(<ReactApp />, document.getElementById("toolbar"));
import { ItemDirective, ItemsDirective, ToolbarComponent } from '@syncfusion/ej2-react-navigations';
import * as React from "react";
import * as ReactDOM from "react-dom";
export default class ReactApp extends React.Component<{}, {}> {
public render() {
return (
<ToolbarComponent >
<ItemsDirective>
<ItemDirective text="Cut" />
<ItemDirective text="Copy" />
<ItemDirective type="Separator" />
<ItemDirective text="Paste" />
<ItemDirective type="Separator" />
<ItemDirective text="Undo" />
<ItemDirective text="Redo" />
</ItemsDirective>
</ToolbarComponent>
);
}
}
ReactDOM.render(<ReactApp />, document.getElementById("toolbar"));
<!DOCTYPE html>
<html lang="en">
<head>
<title>Syncfusion React Toolbar Sample</title>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<meta name="description" content="Essential JS 2 for React Components" />
<meta name="author" content="Syncfusion" />
<link href="//cdn.syncfusion.com/ej2/material.css" rel="stylesheet" />
<link href="https://ej2.syncfusion.com/angular/demos/src/toolbar/toolbar.component.css" rel="stylesheet" />
<script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
<script src="systemjs.config.js"></script>
<style>
#loader {
color: #008cff;
height: 40px;
left: 45%;
position: absolute;
top: 45%;
width: 30%;
}
.custom_bold .e-tbar-btn-text {
font-weight: 900;
}
.custom_italic .e-tbar-btn-text {
font-style: italic;
}
.custom_underline .e-tbar-btn-text {
text-decoration: underline red;
}
.e-txt-casing .e-tbar-btn-text {
font-variant: small-caps;
}
.e-tbar-btn .e-icons {
font-family: 'Material_toolbar';
font-size: 16px;
font-style: normal;
font-weight: normal;
font-variant: normal;
text-transform: none;
}
</style>
</head>
<body>
<div id='toolbar'>
<div id='loader'>Loading....</div>
</div>
</body>
</html>
If
Separator
is added as first or last item, it is not visible.
The Input
type is only applicable for adding template
elements when the template
property is defined as an object
.
Input type creates an input element
internally that acts as the container for Syncfusion
input based components.
E.g. The following code explains about how to add NumericTextBox
component to the Toolbar.
NumericTextBox
component can be included by importing the NumericTextBox
module from ej2-inputs
.NumericTextBox
in template property, in which the Toolbar item type set as Input
.NumericTextBox
component properties are also can be configured like as below.new NumericTextBox( { format: 'c2' }))
E.g. The following code explains about how to add DropDownList
component to the Toolbar.
DropDownList
component can be included by importing the DropDownList
module from ej2-dropdowns
.DropDownList
in template property, in which the Toolbar item type set as Input
.DropDownList
component properties are also can be configured like as below.new DropDownList({ width:100 })
E.g. The following code explains about how to add CheckBox
component to the Toolbar.
CheckBox
component can be included by importing the CheckBox
module from ej2-buttons
.CheckBox
in template property, in which the Toolbar item type set as Input
.CheckBox
component properties are also can be configured like as below.new CheckBox({ label: 'Checkbox', checked: true })
E.g. The following code explains about how to add RadioButton
component to the Toolbar.
RadioButton
component can be included by importing the RadioButton
module from ej2-buttons
.RadioButton
in template property, in which the Toolbar item type set as Input
.RadioButton
component properties are also can be configured like as below.new RadioButton({ label: 'Radio', name: 'default', checked: true })
Above steps applicable for all ‘Syncfusion’ input based components.
import { CheckBox, RadioButton } from '@syncfusion/ej2-buttons';
import { DropDownList } from '@syncfusion/ej2-dropdowns';
import { NumericTextBox } from '@syncfusion/ej2-inputs';
import { ItemDirective, ItemsDirective, ToolbarComponent } from '@syncfusion/ej2-react-navigations';
import * as React from "react";
import * as ReactDOM from "react-dom";
export default class ReactApp extends React.Component {
constructor() {
super(...arguments);
this.data = ['Badminton', 'Basketball', 'Cricket', 'Golf', 'Hockey', 'Rugby'];
this.numericTem = new NumericTextBox({ format: 'c2', value: 1 });
this.templateDropdown = new DropDownList({ dataSource: this.data, width: 120, index: 2 });
this.templateCheckbox = new CheckBox({ label: 'Checkbox', checked: true });
this.templateRadiobutton = new RadioButton({ label: 'Radio', name: 'default', checked: true });
}
render() {
return (<ToolbarComponent>
<ItemsDirective>
<ItemDirective text="Cut"/>
<ItemDirective text="Copy"/>
<ItemDirective type="Separator"/>
<ItemDirective text="Undo"/>
<ItemDirective text="Redo"/>
<ItemDirective type="Separator"/>
<ItemDirective type="Input" template={this.numericTem}/>
<ItemDirective type="Input" template={this.templateDropdown}/>
<ItemDirective type="Input" template={this.templateCheckbox}/>
<ItemDirective type="Input" template={this.templateRadiobutton}/>
</ItemsDirective>
</ToolbarComponent>);
}
}
ReactDOM.render(<ReactApp />, document.getElementById("toolbar"));
import { CheckBox, RadioButton } from '@syncfusion/ej2-buttons';
import { DropDownList} from '@syncfusion/ej2-dropdowns';
import { NumericTextBox} from '@syncfusion/ej2-inputs';
import { ItemDirective, ItemsDirective, ToolbarComponent } from '@syncfusion/ej2-react-navigations';
import * as React from "react";
import * as ReactDOM from "react-dom";
export default class ReactApp extends React.Component<{}, {}> {
public data: any = ['Badminton', 'Basketball', 'Cricket', 'Golf', 'Hockey', 'Rugby'];
public numericTem: any = new NumericTextBox({ format: 'c2', value:1 });
public templateDropdown: any = new DropDownList({ dataSource: this.data, width: 120, index: 2 });
public templateCheckbox: any = new CheckBox({ label: 'Checkbox', checked: true });
public templateRadiobutton: any = new RadioButton({ label: 'Radio', name: 'default', checked: true });
public render() {
return (
<ToolbarComponent >
<ItemsDirective>
<ItemDirective text="Cut" />
<ItemDirective text="Copy" />
<ItemDirective type="Separator" />
<ItemDirective text="Undo" />
<ItemDirective text="Redo" />
<ItemDirective type="Separator" />
<ItemDirective type="Input" template={this.numericTem} />
<ItemDirective type="Input" template={this.templateDropdown} />
<ItemDirective type="Input" template={this.templateCheckbox} />
<ItemDirective type="Input" template={this.templateRadiobutton} />
</ItemsDirective>
</ToolbarComponent>
);
}
}
ReactDOM.render(<ReactApp />, document.getElementById("toolbar"));
<!DOCTYPE html>
<html lang="en">
<head>
<title>Syncfusion React Toolbar Sample</title>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<meta name="description" content="Essential JS 2 for React Components" />
<meta name="author" content="Syncfusion" />
<link href="//cdn.syncfusion.com/ej2/material.css" rel="stylesheet" />
<link href="https://ej2.syncfusion.com/angular/demos/src/toolbar/toolbar.component.css" rel="stylesheet" />
<script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
<script src="systemjs.config.js"></script>
<style>
#loader {
color: #008cff;
height: 40px;
left: 45%;
position: absolute;
top: 45%;
width: 30%;
}
.custom_bold .e-tbar-btn-text {
font-weight: 900;
}
.custom_italic .e-tbar-btn-text {
font-style: italic;
}
.custom_underline .e-tbar-btn-text {
text-decoration: underline red;
}
.e-txt-casing .e-tbar-btn-text {
font-variant: small-caps;
}
.e-tbar-btn .e-icons {
font-family: 'Material_toolbar';
font-size: 16px;
font-style: normal;
font-weight: normal;
font-variant: normal;
text-transform: none;
}
</style>
</head>
<body>
<div id='toolbar'>
<div id='loader'>Loading....</div>
</div>
</body>
</html>

Item Configuration in Vue Toolbar

The Vue Toolbar can be rendered by defining an array of items. Items can be constructed with the following built-in command types or item template.

Button

Button is the default command type, and it can be rendered by using the text property. Properties of the button command type:

Property Description
text The text to be displayed for button.
id The ID of the button to be rendered. If the ID is not given, auto ID is generated.
prefixIcon Defines the class used to specify an icon for the button. The icon is positioned before the text if text is available or the icon alone button is rendered.
suffixIcon Defines the class used to specify an icon for the button. The icon is positioned after the text if text is available. If both prefixIcon and suffixIcon are specified, only prefixIcon is considered.
width Used to set the width of the button.

Separator

The Separator type adds a vertical separation between the Toolbar’s single/multiple commands.

<template>
  <div id="app">
    <div id='container' style="margin:50px auto 0; width:100%;">
      <br>
      <ejs-toolbar>
        <e-items>
          <e-item text='Cut'></e-item>
          <e-item text='Copy'></e-item>
          <e-item text='Paste'></e-item>
          <e-item type='Separator'></e-item>
          <e-item text='Bold'></e-item>
          <e-item text='Italic'></e-item>
          <e-item text='Underline'></e-item>
        </e-items>
      </ejs-toolbar>
    </div>
  </div>
</template>
<script setup>

import { ToolbarComponent as EjsToolbar, ItemsDirective as EItems, ItemDirective as EItem } from "@syncfusion/ej2-vue-navigations";

</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-buttons/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-popups/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-navigations/styles/material.css";
</style>
<template>
  <div id="app">
    <div id='container' style="margin:50px auto 0; width:100%;">
      <br>
      <ejs-toolbar>
        <e-items>
          <e-item text='Cut'></e-item>
          <e-item text='Copy'></e-item>
          <e-item text='Paste'></e-item>
          <e-item type='Separator'></e-item>
          <e-item text='Bold'></e-item>
          <e-item text='Italic'></e-item>
          <e-item text='Underline'></e-item>
        </e-items>
      </ejs-toolbar>
    </div>
  </div>
</template>
<script>

import { ToolbarComponent, ItemDirective, ItemsDirective } from "@syncfusion/ej2-vue-navigations";

export default {
  name: "App",
  components: {
    "ejs-toolbar": ToolbarComponent,
    "e-items": ItemsDirective,
    "e-item": ItemDirective
  }

}
</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-buttons/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-popups/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-navigations/styles/material.css";
</style>

If Separator is added as the first or the last item, it will not be visible.

Enabling tab key navigation in Toolbar

The tabIndex property of a Toolbar item is used to enable tab key navigation for the item. By default, the user can switch between items using the arrow keys, but the tabIndex property allows you to switch between items using the Tab and Shift+Tab keys as well.

To use the tabIndex property, you need to set it for each Toolbar item that you want to enable tab key navigation. The tabIndex property should be set to a positive integer value. A value of 0 or a negative value will disable tab key navigation for the item.

For example, to enable tab key navigation for two Toolbar items, you can use the following code:

<template>
  <div id="app">
    <ejs-toolbar>
      <e-items>
        <e-item text='Item 1' tabIndex="1"></e-item>
        <e-item text='Item 2' tabIndex="2"></e-item>
        <e-item text='Item 3' tabIndex="3"></e-item>
      </e-items>
    </ejs-toolbar>
  </div>
</template>
<script setup>

import { ToolbarComponent } from '@syncfusion/ej2-vue-navigations';


export default {
  name: 'app',
}
</script>

With the above code, the user can switch between the two Toolbar items using the Tab and Shift+Tab keys, in addition to using the arrow keys. The items will be navigated in the order specified by the tabIndex values.

If you set the tabIndex value to 0 for all Toolbar items, tab key navigation will be based on the element order rather than the tabIndex values. For example:

<template>
  <div id="app">
    <ejs-toolbar>
      <e-items>
        <e-item text='Item 1' tabIndex="0"></e-item>
        <e-item text='Item 2' tabIndex="0"></e-item>
        <e-item text='Item 3' tabIndex="0"></e-item>
      </e-items>
    </ejs-toolbar>
  </div>
</template>
<script setup>

import { ToolbarComponent } from '@syncfusion/ej2-vue-navigations';


export default {
  name: 'app',
}
</script>

In this case, the user can switch between the two Toolbar items using the Tab and Shift+Tab keys, and the items will be navigated in the order in which they appear in the DOM.

Example:

Here is an example of how you can use the tabIndex property to enable tab key navigation for a Toolbar component:

<template>
  <div id="app">
    <ejs-toolbar>
      <e-items>
        <e-item text='Cut' tabIndex="0"></e-item>
        <e-item text='Copy' tabIndex="0"></e-item>
        <e-item text='Paste' tabIndex="0"></e-item>
        <e-item type='Separator'></e-item>
        <e-item text='Bold'></e-item>
        <e-item text='Italic'></e-item>
        <e-item text='Underline'></e-item>
      </e-items>
    </ejs-toolbar>
  </div>
</template>
<script setup>

import { ToolbarComponent as EjsToolbar, ItemsDirective as EItems, ItemDirective as EItem } from "@syncfusion/ej2-vue-navigations";

</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-buttons/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-popups/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-navigations/styles/material.css";
</style>
<template>
  <div id="app">
    <ejs-toolbar>
      <e-items>
        <e-item text='Cut' tabIndex="0"></e-item>
        <e-item text='Copy' tabIndex="0"></e-item>
        <e-item text='Paste' tabIndex="0"></e-item>
        <e-item type='Separator'></e-item>
        <e-item text='Bold'></e-item>
        <e-item text='Italic'></e-item>
        <e-item text='Underline'></e-item>
      </e-items>
    </ejs-toolbar>
  </div>
</template>
<script>

import { ToolbarComponent, ItemDirective, ItemsDirective } from '@syncfusion/ej2-vue-navigations';

export default {
  name: "App",
  components: {
    "ejs-toolbar": ToolbarComponent,
    "e-items": ItemsDirective,
    "e-item": ItemDirective
  }
}

</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-buttons/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-popups/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-navigations/styles/material.css";
</style>

With the above code, the user can switch between the Toolbar items using the Tab and Shift+Tab keys, and the items will be navigated based on the element order.

See Also